Subject: Order# 100149759 - Not delivered- Tracking# S001401156165
From: Rodina Magdy <[email-masked]>
To: Zubair Wahid <[email-masked]>, KSA Lastmile <[email-masked]>
Cc: customer care <[email-masked]>
Date: Tue, 9 Jun 2020 13:42:38 +0200
List-Id: <ccteam.mumzworld.com>

Dears,

Kindly check the above order # still not delivered since 18th of May and
the customer asking for the delivery timing, Can you please check with
Shipa if they can deliver the item to the customer as soon as possible.

Appreciate your assistance.

Thanks& Regards
Rodina